Bug 241893 - /bin/unicode_stop missing argument for "test -t FD"
/bin/unicode_stop missing argument for "test -t FD"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
6
All Linux
low Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks: 241896
  Show dependency treegraph
 
Reported: 2007-05-31 10:56 EDT by Thomas Steudten
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 05:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Steudten 2007-05-31 10:56:23 EDT
kbd-1.12-18.src.rpm

/bin/unicode_stop:
#!/bin/sh
# stop unicode
kbd_mode -a
if test -t ; then
        echo -n -e '\033%@'
fi

See /bin/unicode_start for reference; Expression should be "test -t 1" at least,
to test for a terminal on stdout.
Comment 1 Vitezslav Crhonek 2007-06-06 10:24:54 EDT
Hi,

thanks for reporting. I wonder if this test is actually needed in both
unicode_start and unicode_stop at all. I'll check it out.
Comment 2 Thomas Steudten 2007-08-30 14:35:30 EDT
It this fixed?
Comment 3 Vitezslav Crhonek 2007-09-04 05:10:36 EDT
Hi,

there's no fix necessary:

test -t fd -- true if fd is an open file descriptor associated with a terminal
(fd is 1 by default)

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.